buddypress upgrade issue

I did auto upgrade to buddypress 1.0.3 and got this message.

Fatal error: Class 'WP_Widget' not found in /home/kgwanyape/kgwanyape.com/wp-content/plugins/buddypress/bp-core/bp-core-widgets.php on line 14

I have now reviewed upgrade checklist
http://codex.buddypress.org/getting-started/upgrading-from-10x/

Can't login or view site.
Any suggestions?